=== debian/changelog ===
comet-ms (2014022-2) unstable; urgency=medium

  * debian/upstream/metadata: put quotes to the title.

  * Still closing (Closes: #768058).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Sep 2015 16:09:13 +0200

comet-ms (2014022-1) unstable; urgency=medium

  * Initial packaging (Closes: #768058).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Nov 2014 16:49:05 +0100
