=== debian/control ===
Source: comet-ms
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9.2),
	       quilt (>= 0.63-3),
               dpkg-dev (>= 1.16.1~),
               libmstoolkit-dev (= 77.0.0-1),
               docbook-to-man
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/comet-ms/
Vcs-Git: git://anonscm.debian.org/debichem/packages/comet-ms.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/comet-ms.git

Package: comet-ms
Architecture: any
Depends:  ${shlibs:Depends}, 
          ${misc:Depends}
Suggests: 
Description: Tandem mass spectrometry (MS/MS) search engine
 Comet is an open source tandem mass spectrometry (MS/MS) sequence
 database search engine. It identifies peptides by searching MS/MS
 spectra against sequences present in protein sequence databases.
 .
 This package ships a binary that does MS/MS database
 searches. Supported input formats are mzXML, mzML, and ms2
 files. Supported output formats are .out, SQT, and pepXML.

Package: comet-ms-dbg
Section: debug
Priority: extra
Architecture: any
Depends: comet-ms (= ${binary:Version}),
         ${misc:Depends}
Suggests: 
Description: Tandem mass spectrometry (MS/MS) search engine - debug symbols
 Comet is an open source tandem mass spectrometry (MS/MS) sequence
 database search engine. It identifies peptides by searching MS/MS
 spectra against sequences present in protein sequence databases.
 .
 This package ships the d ebug symbols of the comet-ms binary (refer
 to the comet-ms package for details).
