## comet-ms 2017012

=== debian/changelog ===
comet-ms (2017012-1) unstable; urgency=medium

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 03 Dec 2017 21:15:46 +0100

comet-ms (2016012-1) unstable; urgency=medium

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 Sep 2017 15:22:57 +0200

comet-ms (2014022-3) unstable; urgency=medium

  * Modify the version rule of the libmstoolkit-dev Build-Depends to be
    more flexible (Closes: #802171).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 26 Oct 2015 20:59:18 +0100
