=== debian/control ===
Source: comet-ms
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>=9.20130630),
	dpkg-dev (>= 1.16.1~),
	libmstoolkit-dev (>= 82),
	libmstoolkit-dev (<< 83),
	docbook-to-man
Standards-Version: 4.1.1
Homepage: http://sourceforge.net/projects/comet-ms/
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/comet-ms.git
Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/comet-ms.git

Package: comet-ms
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tandem mass spectrometry (MS/MS) search engine
 Comet is an open source tandem mass spectrometry (MS/MS) sequence
 database search engine. It identifies peptides by searching MS/MS
 spectra against sequences present in protein sequence databases.
 .
 This package ships a binary that does MS/MS database
 searches. Supported input formats are mzXML, mzML, and ms2
 files. Supported output formats are .out, SQT, and pepXML.
