=== debian/rules ===
--- 
+++ 
@@ -19,18 +19,20 @@
 %:
 	dh $@
 
+override_dh_auto_configure: clean
+	echo "configuring"
+	mkdir debian/build
+	cp -vf debian/Makefile debian/build
+	cp -vf Comet.cpp debian/build
+	cp -vf CometSearch/*.[ch]* debian/build
+
 override_dh_auto_clean:
-	dh_quilt_patch
-	make clean
+	rm -rf debian/build
 	rm -f debian/comet-ms.1
-	dh_quilt_unpatch
 
 manpage:
 	docbook-to-man debian/comet-ms.sgml > debian/comet-ms.1
 
 override_dh_auto_build: manpage
-	dh_quilt_patch
-	make 
+	cd debian/build && make
 
-override_dh_strip:
-	dh_strip --dbg-package=comet-ms-dbg -a
