=== debian/changelog ===
comet-ms (2017014-2) unstable; urgency=medium

  * Fix problem with library linking in the Makefile. Thanks to Gianfranco
    Costamagna <locutusofborg@debian.org> for re-reporting that bug
    (Closes: #891750). In fact, he saw that the rules duplicated code and the
    Makefile such that the Makefile did not direct compilation, since that
    compilation was local.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 02 Mar 2018 11:34:35 +0100

comet-ms (2017014-1) unstable; urgency=medium

  * New upstream version.

  * Updated the patch that modifies the two Makefile_s such that
    libmstoolkitlite is used from the Debian package. Tested the comet-ms
    binary ok.

  * Fix problem with library linking in the Makefile. Thanks to Gianfranco
    Costamagna <locutusofborg@debian.org> for reporting that bug
    (Closes: #891750).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Mar 2018 11:37:59 +0100

comet-ms (2017012-2) unstable; urgency=medium

  * Removed unused heavy directories from the orig source tarball.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 03 Dec 2017 22:17:57 +0100
