=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: debhelper (>=9.20130630),
-	dpkg-dev (>= 1.16.1~),
-	libmstoolkit-dev (>= 82),
-	libmstoolkit-dev (<< 83),
-	docbook-to-man
+               dpkg-dev (>= 1.16.1~),
+               libmstoolkit-dev (>= 82),
+               libmstoolkit-dev (<< 83),
+               docbook-to-man
 Standards-Version: 4.1.1
 Homepage: http://sourceforge.net/projects/comet-ms/
 Vcs-Git: https://anonscm.debian.org/git/debichem/packages/comet-ms.git
@@ -15,7 +15,8 @@
 
 Package: comet-ms
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: libmstoolkit82 (>= 82),
+         ${shlibs:Depends},
          ${misc:Depends}
 Description: Tandem mass spectrometry (MS/MS) search engine
  Comet is an open source tandem mass spectrometry (MS/MS) sequence
