=== debian/changelog ===
comet-ms (2018012-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:36:31 +0100

comet-ms (2018012-1) unstable; urgency=low

  * New upstream release.
  * New version of the build system patch.
  * Bump-up Standards-Version to 4.2.1 (no changes needed).
  * Update the Vcs fields to match the salsa location.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 18 Nov 2018 10:05:33 +0100
