=== debian/rules ===
--- 
+++ 
@@ -19,20 +19,12 @@
 %:
 	dh $@
 
-override_dh_auto_configure: clean
-	echo "configuring"
-	mkdir debian/build
-	cp -vf debian/Makefile debian/build
-	cp -vf Comet.cpp debian/build
-	cp -vf CometSearch/*.[ch]* debian/build
-
 override_dh_auto_clean:
-	rm -rf debian/build
 	rm -f debian/comet-ms.1
 
 manpage:
 	docbook-to-man debian/comet-ms.sgml > debian/comet-ms.1
 
 override_dh_auto_build: manpage
-	cd debian/build && make
+	make
