=== debian/changelog ===
comet-ms (2019015+cleaned1-3) unstable; urgency=low

  * d/rules: Fix problem with invoking 'make' for building
    the software. Replace with dh_auto_build (thanks to Helmut Grohne
    <helmut@subdivi.de> for the report and the patch; Closes: #929760)

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 13 Aug 2020 23:49:04 +0200

comet-ms (2019015+cleaned1-2) unstable; urgency=low

  *  Since July 2019, binaries uploaded by maintainers are not allowed to
     migrate to testing. In other words, packages must have source-only uploads
     before they can reach the next release 
     (Thanks to Boyuan Yang <byang@debian.org> ; Closes: #961024).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 May 2020 16:19:37 +0200

comet-ms (2019015+cleaned1-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 May 2020 20:20:47 +0200

comet-ms (2018012-2) UNRELEASED; urgency=medium

  [ Daniel Leidert ]
  * d/control (Vcs-Browser): Fix URL.
    (Homepage): Point to projects homepage.
  * d/watch: Added.

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Fri, 15 Feb 2019 22:10:27 +0100
