=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>=9.20130630),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
                libmstoolkit-dev (>= 82),
                libmstoolkit-dev (<< 83),
                docbook-to-man
-Standards-Version: 4.1.1
-Homepage: http://sourceforge.net/projects/comet-ms/
-Vcs-Git: https://anonscm.debian.org/git/debichem/packages/comet-ms.git
-Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/comet-ms.git
+Standards-Version: 4.5.0
+Homepage: http://comet-ms.sourceforge.net
+Vcs-Browser: https://salsa.debian.org/debichem-team/comet-ms
+Vcs-Git: https://salsa.debian.org/debichem-team/comet-ms.git
 
 Package: comet-ms
 Architecture: any
