=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	rm -f debian/comet-ms.1

manpage:
	docbook-to-man debian/comet-ms.sgml > debian/comet-ms.1

override_dh_auto_build: manpage
	dh_auto_build
