=== debian/watch ===
version=4
opts="repack, compression=gzip" \
  http://sf.net/comet-ms/comet_(\d+)\.zip
